/* ANSI */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* Amiga.lib */
#include <dos/dos.h>
#include <dos/dostags.h>

#include <exec/types.h>
#include <exec/libraries.h>
#include <exec/exec.h>

#include <clib/dos_protos.h>
#include <clib/alib_protos.h>
#include <clib/exec_protos.h>
#include <clib/utility_protos.h>
#include <clib/wb_protos.h>

#include <workbench/workbench.h>
#include <workbench/startup.h>

/* Some definitions useful for hooks */

#define REG(x) register __ ## x

#define ASM    __asm
#define SAVEDS __saveds

struct ObjApp
{
	APTR	App;
	APTR	MainWin;
	APTR	MainMenu;
	APTR	FileList;
	APTR	DrawerPopup;
	APTR	STR_DrawerPopup;
	APTR	PatternStr;
   APTR  casecheck;
   APTR  recursecheck;
	APTR	FindBut;
	APTR	QuitBut;
	APTR	AboutWin;
	APTR	AboutText;
	APTR	OkButton;
	char *	STR_AboutText;
};

#define FindPressed  1
#define SaveList     2
#define PrintList    3

extern struct ObjApp * CreateApp(void);
extern void DisposeApp(struct ObjApp *);
